마이크로소프트(Microsoft)에서 매월 정기적으로 제공하는 2015년 7월 정기 보안 업데이트가 발표 되었습니다.


이번 업데이트에서는 Microsoft Windows, Internet Explorer, Microsoft SQL Server, Microsoft Office 제품군에서 

발견된 보안취약점(59건)을 해결한 14건의 보안 패치(긴급 4, 중요 10)로 이루어져 있습니다.



※ 최신 버전이 아닌 상태에서 해당 제품 사용시 "공개된 취약점을 이용한 신종 악성코드" 등 보안 위협에 쉽게 노출될 수 있으니, 
해당 제품을 사용하시는 사용자들은 아래의 해결책을 참고해서 최신 버전으로 업데이트 후 사용바랍니다.

※ 아래의 링크를 클릭하면 해당 취약점에 대한 정보를 볼 수 있다.

1. MS15-058 (중요) : SQL Server의 취약성으로 인한 원격 코드 실행 문제(3065718)

이 보안 업데이트는 Microsoft SQL Server의 취약성을 해결합니다. 가장 심각한 취약성은 인증된 공격자가 잘못된 주소에서 가상 함수를 실행하도록 디자인된 특수 제작된 쿼리를 실행하는 경우 원격 코드 실행을 허용할 수 있고, 초기화되지 않은 메모리에 대한 함수 호출로 이어질 수 있습니다. 이 취약성을 악용하려면 공격자에게 데이터베이스를 만들거나 수정하는 권한이 필요합니다.

- SQL Server의 권한 상승 취약점 (CVE-2015-1761)

- SQL Server의 원격 코드 실행 취약점 (CVE-2015-1762)

- SQL Server의 원격 코드 실행 취약점 (CVE-2015-1763)


2. MS15-065 (긴급) : Internet Explorer용 보안 업데이트(3076321)

이 보안 업데이트는 Internet Explorer의 취약성을 해결합니다. 이 중에서 가장 심각한 취약성은 사용자가 Internet Explorer를 사용하여 특수 제작된 웹 페이지를 볼 경우 원격 코드 실행을 허용할 수 있습니다. 이 취약성 악용에 성공한 공격자는 현재 사용자와 동일한 권한을 얻을 수 있습니다. 시스템에 대한 사용자 권한이 적게 구성된 계정의 고객은 관리자 권한으로 작업하는 고객에 비해 영향을 적게 받습니다.

- VBScript 메모리 손상 취약성(CVE-2015-2372)

- Internet Explorer XSS 필터 우회 취약성(CVE-2015-2398)

- Internet Explorer 권한 상승 취약성(CVE-2015-2405)

- JScript9 메모리 손상 취약성(CVE-2015-2419)

- Internet Explorer ASLR 우회(CVE-2015-2421)

- 다양한 Internet Explorer의 메모리 손상 취약성:

  CVE-2015-1733, CVE-2015-1738, CVE-2015-1767, CVE-2015-2383, CVE-2015-2384

  CVE-2015-2385, CVE-2015-2388, CVE-2015-2389, CVE-2015-2390, CVE-2015-2391

  CVE-2015-2397, CVE-2015-2401, CVE-2015-2403, CVE-2015-2404, CVE-2015-2406

  CVE-2015-2408, CVE-2015-2411, CVE-2015-2422, CVE-2015-2425

- 다양한 Internet Explorer 정보 유출 취약성:

  CVE-2015-1729, CVE-2015-2410, CVE-2015-2412, CVE-2015-2413, CVE-2015-2414


3. MS15-066 (긴급) : VBScript 스크립팅 엔진의 취약성으로 인한 원격 코드 실행 문제(3072604)

이 보안 업데이트는 Microsoft Windows의 VBScript 스크립팅 엔진의 취약성을 해결합니다. 이 취약성으로 인해 사용자가 특수 제작된 웹 사이트를 방문할 경우 원격 코드 실행이 허용될 수 있습니다. 이 취약성 악용에 성공한 공격자는 현재 사용자와 동일한 사용자 권한을 얻을 수 있습니다. 현재 사용자가 관리자 권한으로 로그온한 경우, 이 취약성을 악용한 공격자는 영향을 받는 시스템을 완전히 제어할 수 있습니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 사용자 권한이 있는 새 계정을 만들 수 있습니다.

- VBScript 메모리 손상 취약성(CVE-2015-2372)


4. MS15-067 (긴급) : RDP의 취약성으로 인한 원격 코드 실행 문제(3073094)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 공격자가 RDP(원격 데스크톱 프로토콜)가 사용되는 대상 시스템에 특수 제작된 패킷 시퀀스를 보내는 경우 이 취약성으로 인해 원격 코드 실행이 허용될 수 있습니다. 기본적으로 RDP는 모든 Windows 운영 체제에서 사용되도록 설정되지 않습니다. RDP가 사용되지 않는 시스템은 취약하지 않습니다.

- RDP(원격 데스크톱 프로토콜) 원격 코드 실행 취약성(CVE-2015-2373)


5. MS15-068 (긴급) : Windows Hyper-V의 취약성으로 인한 원격 코드 실행 문제(3072000)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. Hyper-V가 호스트하는 게스트 가상 컴퓨터에서 인증되고 권한을 가진 사용자가 특수 제작된 응용 프로그램을 실행하는 경우 이 취약성으로 인해 호스트 컨텍스트에서 원격 코드 실행이 허용될 수 있습니다. 공격자는 이 취약성을 악용하기 위해 게스트 가상 컴퓨터에 대한 유효한 로그온 자격 증명이 있어야 합니다.

- Hyper-V 버퍼 오버플로 취약성(CVE-2015-2361)

- Hyper-V 시스템 데이터 구조 취약성(CVE-2015-2362)


6. MS15-069 (중요) : Windows의 취약성으로 인한 원격 코드 실행 문제(3072631)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 공격자가 특수 제작된 DLL(동적 연결 라이브러리) 파일을 대상 사용자의 현재 작업 디렉터리에 먼저 넣은 다음 사용자에게 신뢰할 수 있는 DLL 파일을 로드하는 대신 공격자의 특수 제작된 DLL 파일을 로드하도록 디자인된 프로그램을 실행하거나 RTF 파일을 열도록 유도하는 경우 이 취약성으로 인해 원격 코드 실행이 허용될 수 있습니다. 이 취약성 악용에 성공한 공격자는 영향받는 시스템을 완전히 제어할 수 있습니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 사용자 권한이 있는 새 계정을 만들 수 있습니다.

- Windows DLL 원격 코드 실행 취약성(CVE-2015-2368)

- DLL 플랜팅 원격 코드 실행 취약성(CVE-2015-2369)


7. MS15-070 (중요) : Microsoft Office의 취약성으로 인한 원격 코드 실행 문제(3072620)

이 보안 업데이트는 Microsoft Office의 취약성을 해결합니다. 이 중에서 가장 심각한 취약성은 사용자가 특수 제작된 Microsoft Office 파일을 열 경우 원격 코드 실행을 허용할 수 있습니다. 이러한 취약성 악용에 성공한 공격자는 현재 사용자의 컨텍스트에서 임의 코드를 실행할 수 있습니다. 시스템에 대한 사용자 권한이 적게 구성된 계정의 고객은 관리자 권한으로 작업하는 고객에 비해 영향을 적게 받습니다.

- Microsoft Office 메모리 손상 취약성(CVE-2015-2376)

- Microsoft Office 메모리 손상 취약성(CVE-2015-2377)

- Microsoft Office 메모리 손상 취약성(CVE-2015-2379)

- Microsoft Office 메모리 손상 취약성(CVE-2015-2380)

- Microsoft Office 메모리 손상 취약성(CVE-2015-2415)

- Microsoft Office 원격 코드 실행 취약성(CVE-2015-2424)

- Microsoft Excel ASLR 우회 취약성(CVE-2015-2375)

- Microsoft Excel DLL 원격 코드 실행 취약성(CVE-2015-2378)


8. MS15-071 (중요) : Netlogon의 취약성으로 인한 권한 상승 문제(3068457)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 대상 네트워크의 PDC(주 도메인 컨트롤러)에 대한 액세스 권한을 가진 공격자가 특수 제작된 응용 프로그램을 실행하여 BDC(백업 도메인 컨트롤러)로 PDC에 대한 보안 채널을 설정하는 경우 이 취약성으로 인해 권한 상승이 허용될 수 있습니다.

- Netlogon의 권한 상승 취약성(CVE-2015-2374)


9. MS15-072 (중요) : Windows 그래픽 구성 요소의 취약성으로 인한 권한 상승 문제(3069392)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. Windows 그래픽 구성 요소가 비트맵 변환을 제대로 처리하지 못하는 경우 이 취약성으로 인해 권한 상승이 허용될 수 있습니다. 이 취약성 악용에 성공한 인증된 공격자는 대상 시스템에서 권한을 상승시킬 수 있습니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 관리자 권한이 있는 새 계정을 만들 수 있습니다. 공격자는 이 취약성을 악용하기 위해 먼저 시스템에 로그온해야 합니다.

- 그래픽 구성 요소 EOP 취약성(CVE-2015-2364)


10. MS15-073 (중요) : Windows 커널 모드 드라이버의 취약성으로 인한 권한 상승 문제(3070102)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 공격자가 영향받는 시스템에 로그온한 후 특수 제작된 응용 프로그램을 실행하는 경우 이 취약성으로 인해 권한 상승이 허용될 수 있습니다.

- Win32k 권한 상승 취약성(CVE-2015-2363)

- Win32k 권한 상승 취약성(CVE-2015-2365)

- Win32k 권한 상승 취약성(CVE-2015-2366)

- Win32k 정보 유출 취약성(CVE-2015-2367)

- Win32k 정보 유출 취약성(CVE-2015-2381)

- Win32k 정보 유출 취약성(CVE-2015-2382)


11. MS15-074 (중요) : Windows Installer 서비스의 취약성으로 인한 권한 상승 문제(3072630)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. Windows Installer 서비스가 부적절하게 사용자 지정 작업 스크립트를 실행하는 경우 이 취약성으로 인해 권한 상승이 허용될 수 있습니다. 이 취약성을 악용하기 위해 공격자는 대상 시스템에 로그온한 사용자를 먼저 손상시켜야 합니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 관리자 권한이 있는 새 계정을 만들 수 있습니다.

- Windows Installer EoP 취약성(CVE-2015-2371)


12. MS15-075 (중요) : OLE의 취약성으로 인한 권한 상승 문제(3072633)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 이 취약성은 Internet Explorer를 통해 임의의 코드가 실행될 수 있는 또 다른 취약성과 결합하여 사용하는 경우 권한 상승을 허용할 수 있습니다. 다른 취약성이 악용되면, 공격자는 이 공지에서 해결된 취약성을 악용해 임의의 코드가 중간 무결성 수준에서 실행되도록 할 수 있습니다.

- 다양한 OLE 권한 상승 취약성:

  CVE-2015-2416, CVE-2015-2417


13. MS15-076 (중요) : Windows 원격 프로시저 호출의 취약성으로 인한 권한 상승 문제(3067505)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 공격자가 영향받는 시스템에 로그온한 후 특수 제작된 응용 프로그램을 실행하는 경우 Windows RPC(원격 프로시저 호출) 인증에 존재하는 이 취약성으로 인해 권한 상승이 허용될 수 있습니다. 이 취약성 악용에 성공한 경우 공격자는 영향받는 시스템을 완전히 제어할 수 있습니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 사용자 권한이 있는 새 계정을 만들 수 있습니다.

- Windows RPC 권한 상승 취약성(CVE-2015-2370)


14. MS15-077 (중요) : ATM Font Driver의 취약성으로 인한 권한 상승 문제(3077657)

이 보안 업데이트는 Microsoft Windows의 취약성을 해결합니다. 공격자가 대상 시스템에 로그온하고 특수 제작된 응용 프로그램을 실행하는 경우 이 취약성으로 인해 권한 상승이 허용될 수 있습니다. 이러한 취약성을 악의적으로 이용하는 공격자는 임의 코드를 실행하고 영향을 받는 시스템을 완전히 제어할 수 있습니다. 이렇게 되면 공격자가 프로그램을 설치하거나, 데이터를 보거나 변경하거나 삭제하거나, 모든 사용자 권한이 있는 새 계정을 만들 수 있습니다.

- ATMFD.DLL 메모리 손상 취약성(CVE-2015-2387)





블로그 이미지

처리 

이것 저것 끄적여 보는 공간으로 만들었습니다.